Subject: Re: bug#38175: configure: error: Guix requires zlib.

From: Efraim Flashner <[email-masked]>
Date: Tue, 12 Nov 2019 09:42:18 +0200

On Mon, Nov 11, 2019 at 09:10:03PM -0800, Chris Marusich wrote:
> Hi,
> 
> I keep getting this error when trying to build Guix.  I got it just
> today when invoking the following command from a clean checkout:
> 
> guix environment --pure guix -- ./bootstrap && ./configure --localstatedir=/var && make
> 
> My current guix version is 18a69803e2eea4f7555d6eafb6497a645c2d094f:
> 
> $ guix describe
> guile: warning: failed to install locale
> Generation 5	Nov 11 2019 20:03:30	(current)
>   guix 18a6980
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 18a69803e2eea4f7555d6eafb6497a645c2d094f
> 
> GUIX_PACKAGE_PATH="/home/marusich/custom-guix-packages"
> 
> The commit I had checked out was:
> 18a69803e2eea4f7555d6eafb6497a645c2d094f.
> 
> Can anyone reproduce this issue?  It happens consistently for me using
> this checkout.  This is the tip of the master branch, by the way.  I ran
> "guix pull" without any problem earlier today.  It happens even if I
> remove the "--pure" option:
> 
> guix environment guix -- ./bootstrap && ./configure --localstatedir=/var && make
> 
> It still happens even if I add zlib ad-hoc to the environment:
> 
> $ guix environment guix --ad-hoc zlib -- ./bootstrap && ./configure --localstatedir=/var && make
> 
> It's pretty strange.
> 

I'm pretty sure this parses (guix environment guix -- ad-hoc zlib --
./bootstrap) && ./configure --localstatedir=/var && make

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted